# Uses of Class
net.shibboleth.idp.authn.context.MultiFactorAuthenticationContext

Packages that use MultiFactorAuthenticationContext
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.

## Uses of MultiFactorAuthenticationContext in net.shibboleth.idp.authn.context

Methods in net.shibboleth.idp.authn.context that return MultiFactorAuthenticationContext
Modifier and Type
Method
Description
`MultiFactorAuthenticationContext`
MultiFactorAuthenticationContext.`setAuthenticationFlowDescriptor(AuthenticationFlowDescriptor descriptor)`
Set the `AuthenticationFlowDescriptor` representing the MFA flow.
`MultiFactorAuthenticationContext`
MultiFactorAuthenticationContext.`setEvent(String e)`
Set an event that should be signaled as the result of the MFA flow.
`MultiFactorAuthenticationContext`
MultiFactorAuthenticationContext.`setNextFlowId(String id)`
Set the next flow due to execute.
`MultiFactorAuthenticationContext`
MultiFactorAuthenticationContext.`setNextWebFlowId(String id)`
Set the next webflow due to execute.
`MultiFactorAuthenticationContext`
MultiFactorAuthenticationContext.`setTransitionMap(Map<String,MultiFactorAuthenticationTransition> map)`
Set the map of transitions to apply, replacing any existing entries.

## Uses of MultiFactorAuthenticationContext in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as MultiFactorAuthenticationContext
Modifier and Type
Field
Description
`private MultiFactorAuthenticationContext`
FinalizeMultiFactorAuthentication.`mfaContext`
A subordinate `MultiFactorAuthenticationContext`, if any.
`private MultiFactorAuthenticationContext`
TransitionMultiFactorAuthentication.`mfaContext`
A subordinate `MultiFactorAuthenticationContext`, if any.
Fields in net.shibboleth.idp.authn.impl with type parameters of type MultiFactorAuthenticationContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,MultiFactorAuthenticationContext>`
PopulateMultiFactorAuthenticationContext.`multiFactorContextCreationStrategy`
Lookup/creation function for the context to populate.
`private Function<ProfileRequestContext,MultiFactorAuthenticationContext>`
FinalizeMultiFactorAuthentication.`multiFactorContextLookupStrategy`
Lookup function for the context to evaluate.
`private Function<ProfileRequestContext,MultiFactorAuthenticationContext>`
TransitionMultiFactorAuthentication.`multiFactorContextLookupStrategy`
Lookup function for the context to evaluate.
Method parameters in net.shibboleth.idp.authn.impl with type arguments of type MultiFactorAuthenticationContext
Modifier and Type
Method
Description
`void`
PopulateMultiFactorAuthenticationContext.`setMultiFactorContextCreationStrategy(Function<ProfileRequestContext,MultiFactorAuthenticationContext> strategy)`
Set the lookup/creation strategy to use for the context to populate.
`void`
FinalizeMultiFactorAuthentication.`setMultiFactorContextLookupStrategy(Function<ProfileRequestContext,MultiFactorAuthenticationContext> strategy)`
Set the lookup strategy to use for the context to evaluate.
`void`
TransitionMultiFactorAuthentication.`setMultiFactorContextLookupStrategy(Function<ProfileRequestContext,MultiFactorAuthenticationContext> strategy)`
Set the lookup strategy to use for the context to evaluate.

## Uses of MultiFactorAuthenticationContext in net.shibboleth.idp.authn.principal

Methods in net.shibboleth.idp.authn.principal with parameters of type MultiFactorAuthenticationContext
Modifier and Type
Method
Description
`static Set<String>`
PrincipalSupport.`getPrincipalNames(MultiFactorAuthenticationContext mfaContext, String flowId, Class<? extends Principal> claz)`
Gets all of the names inside the `Principal` collection of a given type from a `Subject`.